Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 154814

Summary: Selecting all packages in the GUI only selects first package
Product: [Fedora] Fedora Reporter: Nils Philippsen <nphilipp>
Component: up2dateAssignee: Bret McMillan <bretm>
Status: CLOSED CURRENTRELEASE QA Contact: Fanny Augustin <fmoquete>
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: mike, stereosteve
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: FC5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-09-22 02:20:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 136450    

Description Nils Philippsen 2005-04-14 13:00:40 UTC
When running "up2date" clicking on "Select all packages" selects only the first
in the list and gives a stack trace:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1160, in selectAll
    area._toggle_row(index)
  File "/usr/share/rhn/up2date_client/checklist.py", line 134, in _toggle_row
    self.toggled_func(val, row_data)
  File "/usr/share/rhn/up2date_client/gui.py", line 281, in updateSelectedSize
    self.__updateSelectedSizeLabel(sizeLabel, state, rowData)
  File "/usr/share/rhn/up2date_client/gui.py", line 275, in
__updateSelectedSizeLabel
    self.pkgsSelected = self.pkgsSelected + 1
TypeError: unsupported operand type(s) for +: 'instance' and 'int'


Version-Release number of selected component (if applicable):

up2date-4.4.9-1

Comment 1 Steve Huffman 2005-04-27 16:01:42 UTC
Installed latest version of up2date last night. Symptom still remains.

Note that "Forward" button does not light even if packages are checked manually.

Comment 2 Adrian Likins 2005-05-19 19:02:50 UTC
Should be fixed in 4.4.20

Comment 3 Bill Nottingham 2006-09-22 02:20:36 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.